CLI Tokens
Update a CLI token
Enable, disable, or rename a CLI token.
PATCH
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringCLI token ID
Format
uuidapplication/json- body
enabled?booleanname?stringToken updated
application/json- response
success?booleantoken?curl -X PATCH 'https://demo.supercheck.dev/api/cli-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "success": true, "token": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "enabled": true }}